%define name stellarium
%define version 0.4.9
%define release 3mdk 


Name: %{name} 
Summary: Stellarium is a desktop planetarium 
Version: %{version} 
Release: %{release} 
Source: %{name}-%{version}.tar.bz2
# you can actually find it at http://stellarium.free.fr/download/%{name}-%{version}.tar.gz
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
URL: http://stellarium.free.fr/
Group: Sciences/Astronomy
BuildRoot: %{_tmppath}/%{name}-buildroot 
License: GPL 


%description
Stellarium renders 3D photo-realistic skies in real time. 
With stellarium, you really see what you can see with your eyes,
binoculars or a small telescope.


%prep 
rm -rf $RPM_BUILD_ROOT 
%setup 


%build 
%configure 
%make


%install
%makeinstall

# Icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" icon="stellarium.png" needs="X11" \
section="Applications/Sciences/Astronomy" title="Stellarium" longtitle="3D Planetarium"
EOF


%clean 
rm -rf $RPM_BUILD_ROOT 


%files 
%defattr(-,root,root,0755) 
%doc README NEWS COPYING AUTHORS 
%{_bindir}/%{name} 
%{_datadir}/%{name}/
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.4.9-3mdk
- rebuild

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-2mdk
- from Daniel Gruen <daniel_gruen@web.de> :
	- added meny entry

* Sun Oct 29 2002 Daniel Gruen <daniel_gruen@web.de> 0.4.9-1mdk
- Initial MDK RPM
